'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.copyProtractorConfig = copyProtractorConfig;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _tractorFileStructure = require('tractor-file-structure');

var _tractorLogger = require('tractor-logger');

var _tractorErrorHandler = require('tractor-error-handler');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Constants:
var BASE_FILE_SOURCES = 'base-file-sources';
var PROTRACTOR_CONF_FILE_NAME = 'protractor.conf.js';

// Dependencies:


// Errors:
function copyProtractorConfig(config) {
    var readPath = _path2.default.join(__dirname, BASE_FILE_SOURCES, PROTRACTOR_CONF_FILE_NAME);
    var writePath = _path2.default.join(process.cwd(), config.directory, PROTRACTOR_CONF_FILE_NAME);

    return (0, _tractorFileStructure.copyFile)(readPath, writePath).catch(_tractorErrorHandler.TractorError.isTractorError, function (error) {
        return (0, _tractorLogger.warn)(error.message + ' Not copying...');
    });
}
copyProtractorConfig['@Inject'] = ['config'];