'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.init = init;

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _tractorLogger = require('tractor-logger');

var _copyProtractorConfig = require('./copy-protractor-config');

var _createTractorDirectory = require('./create-tractor-directory');

var _initialisePlugins = require('./initialise-plugins');

var _installTractorLocally = require('./install-tractor-locally');

var _setUpSelenium = require('./set-up-selenium');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_bluebird2.default.promisifyAll(require('child_process'));

// Dependencies:
// Promisify:
function init(di) {
    (0, _tractorLogger.info)('Setting up tractor...');

    return di.call(_createTractorDirectory.createTractorDirectory).then(function () {
        return di.call(_copyProtractorConfig.copyProtractorConfig);
    }).then(function () {
        return di.call(_installTractorLocally.installTractorLocally);
    }).then(function () {
        return di.call(_setUpSelenium.setUpSelenium);
    }).then(function () {
        return di.call(_initialisePlugins.initialisePlugins);
    }).then(function () {
        return (0, _tractorLogger.info)('Set up complete!');
    }).catch(function (e) {
        (0, _tractorLogger.error)('Something broke, sorry 😕');
        (0, _tractorLogger.error)(e.message);
        throw e;
    });
}
init['@Inject'] = ['di'];