'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.setUpSelenium = setUpSelenium;

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _tractorLogger = require('tractor-logger');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Constants:
var SELENIUM_UPDATE_COMMAND = 'node ' + _path2.default.join('node_modules', 'protractor', 'bin', 'webdriver-manager') + ' update'; // Dependencies:
function setUpSelenium() {
    (0, _tractorLogger.info)('Setting up Selenium...');
    return _child_process2.default.execAsync(SELENIUM_UPDATE_COMMAND).then(function () {
        return (0, _tractorLogger.info)('Selenium setup complete.');
    }).catch(function () {
        return (0, _tractorLogger.error)('Couldn\'t update Selenium. Either run "tractor init" again, or install it manually by running "webdriver-manager update"');
    });
}